import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/*
* @author Georg Dorndorf
* @version 20.02.2014
*/

public class Label  extends Actor
{
    protected GreenfootImage img;
    private Color clr;
    private String lbl;
    
    public Label(String str){
        
        this(str, Color.BLACK);
        
    }
    
    public Label(String str, Color color) {
        
        setLabel(str);
        lbl = str;
        clr = color;
        
    }
    
    public void setP(int x, int y)
    {
    	setLocation(x, y);
    }
    public void setLabel(String str) {
        
        lbl = str;
        img = new GreenfootImage(str.length()*20,20);
        img.setColor(clr);
        img.drawString(str,10,10);
        setImage(img);
        
    }
    
    
    protected void resetLabel() { setLabel(lbl); }
    
    public String getLabel() { return lbl; }
    
    public void setColor(Color color) {
        
        clr = color;
        resetLabel();
        
    }
    
}
