import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.lang.Math.*;


import java.util.*;
/*
* @author Georg Dorndorf
* @version 20.02.2014
*/

public class Lawn extends World
{   
    private static final int block = 30; // Groee eines einzelnen Feldes
    private static final int size = 10;  // Anzahl der Felder
    private static Score score = new Score();
    /**
     * Constructor fr Objekte der Klasse Lawn.
     * 
     */
    public Lawn()
    {    
        // Erzeugt eine neue Welt mit size x size Zellen mit einer Gre von block x block Pixeln pro Zelle.
        super(621, 224, 1); 
        GreenfootImage back = new GreenfootImage("lawn.png");
        setBackground(back);
        prepare();
    }
    
    
    private void prepare()
    {
        Kara kara = new Kara();
        addObject(kara, 80, 150);
        
        Random rand = new Random();
        for (int i = 0; i < 500; i++)
        {
            addObject(kara.bones[i], 590, 190);
            
        }
        
        for (int i = 0; i < 10; i++)
        {
            addObject(kara.sc[i], 300, (50 + (i * 15)));
        }
        
        addObject(kara.score, 600, 195);
        
        addObject(kara.time, 150, 20);
        
        addObject(kara.wow, 200, 100);
        
        addObject(kara.startstop, 590, 20);
        

        //addObject(score, 600, 200);
        //score.load();
        
    }
 
}
